%%noise.m
global fit1 fit2 fit3 fit4 convert
data = csvread('LOG_DATA_DC.txt');
d = size(data)
printf('size of data = %d %d\n',d);

for j=1:d,
    %%get rid of leakage counts (if you want)
    if abs(data(j)) >  10,
       data(j) = 0;
    end
end
data_new=reshape(data, 1024,[]);
size_data_new=size(data_new);
clear('data');

factor1 =  (1000*convert)/fit1(1);
factor2 =  (1000*convert)/fit2(1);
factor3 =  (1000*convert)/fit3(1);
factor4 =  (1000*convert)/fit4(1);

CH1_data = factor1*reshape(data_new(1:256,:),1,[]);
CH2_data = factor2*reshape(data_new(257:512,:),1,[]);
CH3_data = factor3*reshape(data_new(513:768,:),1,[]);
CH4_data = factor4*reshape(data_new(769:1024,:),1,[]);

noise_mean1 = mean(CH1_data);
noise_mean2 = mean(CH2_data);
noise_mean3 = mean(CH3_data);
noise_mean4 = mean(CH4_data);
noise_stdv1 = std(CH1_data);
noise_stdv2 = std(CH2_data);
noise_stdv3 = std(CH3_data);
noise_stdv4 = std(CH4_data);

noisemean1 = sprintf('%6.4f',noise_mean1);
noisesigma1 = sprintf('%6.3f', noise_stdv1);
noisemean2 = sprintf('%6.4f',noise_mean2);
noisesigma2 = sprintf('%6.3f', noise_stdv2);
noisemean3 = sprintf('%6.4f',noise_mean3);
noisesigma3 = sprintf('%6.3f', noise_stdv3);
noisemean4 = sprintf('%6.4f',noise_mean4);
noisesigma4 = sprintf('%6.3f', noise_stdv4);

figure(3);
subplot(2,2,1)
	  printf('histfit function is not available in octave.\n');
          histfit(CH1_data, -7:1:7);	% not available in octave
          hold on;
          title('CHAN1');
          ylabel('Frequency');
          legend(['mean= ' noisemean1],['sigma= ' noisesigma1]);
          hold off;
subplot(2,2,2)
          histfit(CH2_data, -7:1:7);
          hold on;
          title('CHAN2');
          legend(['mean= ' noisemean2] ,['sigma= ' noisesigma2]);
          hold off;
subplot(2,2,3)
          histfit(CH3_data, -7:1:7);
          hold on;
          title('CHAN3');
          xlabel('Voltage [mV]');
          ylabel('Frequency');
          legend(['mean= ' noisemean3],[ 'sigma= ' noisesigma3]);
          hold off;
subplot(2,2,4)
          histfit(CH4_data, -7:1:7);
          hold on;
          title('CHAN4');
          xlabel('Voltage [mV]');
          legend(['mean= ' noisemean4], ['sigma= ' noisesigma4]);
          hold off;
%print('noise.jpeg');
%%print('noise.jpeg',"-S800,600");
print('noise.ps',"-dpsc2");

 figure(4);
          histfit(CH2_data, -7:1:7);
          hold on;
          title('CHAN1 Noise');
          xlabel('Voltage [mV]');
          ylabel('Frequency');
          legend(['mean= ' noisemean2],['sigma= ' noisesigma2]);
          hold off;
% print('noise_1channel.jpg',"-S800,600");
 print('noise_1channel.ps',"-dpsc2");
