//Declarations of this program. It seems to be some kind of a convention to declare classes in 
//a header file.
#include <wx/wx.h>
#include <time.h>
#include <string.h>
//#include <pthread.h>
//#include "defs.h"
#include "stdUSB.h"

#define BUFFERSIZE 1307 //1300
#define CHAN 4

class TestApp : public wxApp{
public:
	virtual bool OnInit();  //This will have to be overloaded somewhere to allow the application to
							//start...and do its tricks upon.
};

//Application's main window is derived from wxFrame class...
class MainWND : public wxFrame{
public:
	MainWND(const wxString title, const wxPoint& pos, const wxSize& size);
	~MainWND()
	{
        delete[] lastGoodData;
	}

	void OnQuit(wxCommandEvent &event);
	void OnAbout(wxCommandEvent& event);
	void ToggleTimer();
	void OnEnter(wxCommandEvent &event);
	
	void LOG_DATA();
	void LOG_DATA_DC();
    void GENERATE_PED();
    void LOAD_PED();
    void LOAD_DNL_LUT();
    void Send();
    void Read(bool ENABLE_TXT);
    void Clear();
    void Clear_terminal();
    void USB_SYNC(bool ENABLE);
    void SOFT_TRIG();
    void PED_SCAN(unsigned int ADC_VALUE);
    void USB_DEBUG(unsigned int DEBUG);
    void TRIG_CNTRL();
    void DAC_SCAN();
private:
    wxTextCtrl *Commandline;
	wxTextCtrl *TextFrame;
	wxBoxSizer *BaseSizer;
	char state;
	wxString tempStr;
    bool GoodData;
    unsigned short *lastGoodData;
    float DNL_LUT[CHAN][2048];
    float factor[CHAN];
    int PED_DATA[CHAN][256];
    //float RMS_DATA[256]; 
    int dac_level;
    int RAW[CHAN][256];
    int ROVDD, PROVDD;
    unsigned int TRIG_SET;
protected:
	DECLARE_EVENT_TABLE()
};
